Subject: Re: ./configure fails to link test program due to missing dependencies

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Sep 2024 09:22:26 -0700

Phillip Wood <[email-masked]> writes:

> Hi Patrick
>
> On 25/09/2024 07:04, Patrick Steinhardt wrote:
>> On Wed, Sep 25, 2024 at 02:02:34AM -0400, Eli Schwartz wrote:
>>
>>> I'm probably biased, but some of these failure modes are *weird*. And
>>> they basically never require the CMakeLists.txt to do something
>>> considered non-idiomatic in order to trigger the issue.
>> All of this is very valuable data to make my case for Meson instead
>> of
>> CMake. Appreciated, thanks!
>
> One thing to bear in mind is why our CMakeLists.txt was introduced in
> the first place [1]. Visual Studio's CMake integration means that so
> long as git-for-windows is installed building git is simply a case of
> clicking on a button, there is no need to install extra software or
> plugins. I'm not sure the same is true for meson and I don't think we
> want to end up supporting both.

Is CMake the _only_ thing that is integrated into Visual Studio?
Are there other possible candidates that could also be used to build
for non-Windows and is usable by this project?

> Best Wishes
>
> Phillip
>
> [1]
> https://lore.kernel.org/git/[email-masked]/